| LUFA Library 140302 |

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_ClassInfo_SI_Host_t Struct Reference
Still Image Class Host Mode Driver

Still Image Class Host Mode Configuration and State Structure. More...

`#include <StillImageClassHost.h>`

## Data Fields
struct {
USB_Pipe_Table_t DataINPipe
USB_Pipe_Table_t DataOUTPipe
USB_Pipe_Table_t EventsPipe
} | Config
struct {
uint8_t InterfaceNumber
bool IsActive
bool IsSessionOpen
uint32_t TransactionID
} | State

## Detailed Description

Class state structure. An instance of this structure should be made within the user application, and passed to each of the Still Image class driver functions as the `SIInterfaceInfo` parameter. This stores each Still Image interface's configuration and state information.

## Field Documentation

struct { ... } USB_ClassInfo_SI_Host_t::Config

Config data for the USB class interface within the device. All elements in this section must be set or the interface will fail to enumerate and operate correctly.

USB_Pipe_Table_t USB_ClassInfo_SI_Host_t::DataINPipe

Data IN Pipe configuration table.

USB_Pipe_Table_t USB_ClassInfo_SI_Host_t::DataOUTPipe

Data OUT Pipe configuration table.

USB_Pipe_Table_t USB_ClassInfo_SI_Host_t::EventsPipe

Event notification IN Pipe configuration table.

uint8_t USB_ClassInfo_SI_Host_t::InterfaceNumber

Interface index of the Still Image interface within the attached device.

bool USB_ClassInfo_SI_Host_t::IsActive

Indicates if the current interface instance is connected to an attached device, valid after SI_Host_ConfigurePipes() is called and the Host state machine is in the Configured state.

bool USB_ClassInfo_SI_Host_t::IsSessionOpen

Indicates if a PIMA session is currently open with the attached device.

struct { ... } USB_ClassInfo_SI_Host_t::State

State data for the USB class interface within the device. All elements in this section may be set to initial values, but may also be ignored to default to sane values when the interface is enumerated.

uint32_t USB_ClassInfo_SI_Host_t::TransactionID

Transaction ID for the next transaction to send to the device.

The documentation for this struct was generated from the following file:

- Drivers/USB/Class/Host/StillImageClassHost.h